#ifndef STUFFY_H
#define STUFFY_H
#include <sys/stat.h>

typedef struct HeaderStruct
{
    char moduleName[50];
    struct stat moduleInfo;
} HeaderStruct;

void Stuffy(int argc, char* argv[]);
int StuffyArgument(int argc, char** argv);
void StuffyAction(char* argv[], int archiveAction);
int IsFileArchived(int archiveFile, char* fileName);
void AddToArchive(char* archiveName, char* fileName);
void RemoveFromArchive(char* archiveName, char* fileName);
void ListArchive(char* archiveName);
void ExtractArchive(char* argv[]);

#endif
